diff --git a/source/ipmitool-plugin/etc/rc.d/rc.ipmievd b/source/ipmitool-plugin/etc/rc.d/rc.ipmievd
new file mode 100755
index 00000000..c0d2852a
--- /dev/null
+++ b/source/ipmitool-plugin/etc/rc.d/rc.ipmievd
@@ -0,0 +1,81 @@
+#!/bin/sh
+# start/stop/restart ipmievd daemon:
+PROG="ipmievd"
+DAEMON="/usr/sbin/$PROG"
+LOCKFILE="/var/lock/$PROG"
+PIDFILE="/var/run/$PROG.pid0"
+CONFIG="/boot/config/plugins/ipmitool-plugin/ipmitool-plugin.cfg"
+OPTIONS=""
+
+# read our configuration
+[ -e "$CONFIG" ] && source "$CONFIG"
+
+# Start ipmievd:
+ipmievd_start() {
+ # no-op if already running
+ if [[ ! -r "$PIDFILE" && "$IPMIEVD" == "enable" ]]; then
+ if [ $REMOTE == "enable" ]; then
+ OPTIONS="-I lanplus -H $IPADDR -U $USER -P $(echo $PASSWORD | base64 --decode)"
+ fi
+ echo "starting $PROG..."
+ sleep 1
+
+ nohup $DAEMON sel $OPTIONS > /dev/null 2>&1 | logger -tipmitool &
+ touch $LOCKFILE
+ TIMER=0
+ while [ ! -e $PIDFILE ]; do
+ sleep 1
+ let TIMER=$TIMER+1
+ if [ $TIMER -gt 5 ]; then
+ echo -n "$PIDFILE not created"
+ break
+ fi
+ done
+ else
+ echo "$PROG is running "
+ fi
+}
+
+# Stop ipmievd:
+ipmievd_stop() {
+ # no-op if not running
+ if [ -r $PIDFILE ]; then
+ #stop ipmievd
+ echo "stopping $PROG..."
+
+ TIMER=0
+ while `killall $PROG 2>/dev/null`; do
+ sleep 1
+ TIMER=$((TIMER+1))
+ if [ $TIMER -ge 30 ]; then
+ killall -9 $PROG
+ sleep 1
+ break
+ fi
+ done
+ rm -f $LOCKFILE && rm -f $PIDFILE
+ else
+ echo "$PROG is stopped "
+ fi
+}
+
+# Restart ipmievd:
+ipmievd_restart() {
+ ipmievd_stop
+ sleep 1
+ ipmievd_start
+}
+
+case "$1" in
+'start')
+ ipmievd_start
+ ;;
+'stop')
+ ipmievd_stop
+ ;;
+'restart')
+ ipmievd_restart
+ ;;
+*)
+ echo "usage rc.ipmievd: start|stop|restart"
+esac
\ No newline at end of file
diff --git a/source/ipmitool-plugin/etc/rc.d/rc.ipmitail b/source/ipmitool-plugin/etc/rc.d/rc.ipmitail
new file mode 100755
index 00000000..22ec43b9
--- /dev/null
+++ b/source/ipmitool-plugin/etc/rc.d/rc.ipmitail
@@ -0,0 +1,78 @@
+#!/bin/sh
+# start/stop/restart ipmitail daemon:
+PROG="ipmitail"
+DAEMON="/usr/sbin/$PROG"
+LOCKFILE="/var/lock/$PROG"
+PIDFILE="/var/run/$PROG.pid"
+CONFIG="/boot/config/plugins/ipmitool-plugin/ipmitool-plugin.cfg"
+OPTIONS=""
+
+# read our configuration
+[ -e "$CONFIG" ] && source "$CONFIG"
+
+# Start ipmitail:
+ipmitail_start() {
+ # no-op if already running
+if [[ ! -r "$PIDFILE" && "$IPMIEVD" == "enable" ]]; then
+ echo "starting $PROG..."
+ sleep 1
+
+ nohup $DAEMON >/dev/null 2>&1 | echo $! > $PIDFILE &
+ touch $LOCKFILE
+ TIMER=0
+ while [ ! -e $PIDFILE ]; do
+ sleep 1
+ let TIMER=$TIMER+1
+ if [ $TIMER -gt 5 ]; then
+ echo -n "$PIDFILE not created"
+ break
+ fi
+ done
+else
+ echo "$PROG is running "
+fi
+}
+
+# Stop ipmitail:
+ipmitail_stop() {
+# no-op if not running
+if [ -r $PIDFILE ]; then
+ #stop ipmitail
+ echo "stopping $PROG..."
+
+ TIMER=0
+ while `killall $PROG 2>/dev/null`; do
+ sleep 1
+ TIMER=$((TIMER+1))
+ if [ $TIMER -ge 30 ]; then
+ killall -9 $PROG
+ sleep 1
+ break
+ fi
+ done
+ rm -f $LOCKFILE && rm -f $PIDFILE
+else
+ echo "$PROG is stopped "
+fi
+}
+
+# Restart ipmitail:
+ipmitail_restart() {
+ ipmitail_stop
+ sleep 1
+ ipmitail_start
+}
+
+case "$1" in
+'start')
+ ipmitail_start
+ ;;
+'stop')
+ ipmitail_stop
+ ;;
+'restart')
+ ipmitail_restart
+ ;;
+*)
+ echo "usage rc.ipmitail: start|stop|restart"
+esac
\ No newline at end of file
diff --git a/source/ipmitool-plugin/install/doinst.sh b/source/ipmitool-plugin/install/doinst.sh
index 1a248525..0c74a26f 100644
--- a/source/ipmitool-plugin/install/doinst.sh
+++ b/source/ipmitool-plugin/install/doinst.sh
@@ -1 +1,25 @@
#!/bin/sh
+RC_SCRIPT="/etc/rc.d/rc.ipmievd"
+RC_SCRIPT2="/etc/rc.d/rc.ipmitail"
+SD_RCFILE="/etc/rc.d/rc.local_shutdown"
+
+# Update file permissions of scripts
+chmod +0755 /usr/local/emhttp/plugins/ipmitool-plugin/scripts/* \
+ /usr/sbin/ipmitail \
+ /usr/sbin/ipmifan \
+ $RC_SCRIPT \
+ $RC_SCRIPT2
+
+###Stop Scripts###
+
+# Add stop script to rc.local_shutdown script
+if ! grep "$RC_SCRIPT" $SD_RCFILE >/dev/null 2>&1
+ then echo -e "\n[ -x $RC_SCRIPT ] && $RC_SCRIPT stop" >> $SD_RCFILE
+fi
+[ ! -x $SD_RCFILE ] && chmod u+x $SD_RCFILE
+
+# Add stop script to rc.local_shutdown script
+if ! grep "$RC_SCRIPT2" $SD_RCFILE >/dev/null 2>&1
+ then echo -e "\n[ -x $RC_SCRIPT2 ] && $RC_SCRIPT2 stop" >> $SD_RCFILE
+fi
+[ ! -x $SD_RCFILE ] && chmod u+x $SD_RCFILE
\ No newline at end of file
diff --git a/source/ipmitool-plugin/usr/local/emhttp/plugins/ipmitool-plugin/IPMIFans.page b/source/ipmitool-plugin/usr/local/emhttp/plugins/ipmitool-plugin/IPMIFans.page
index a15d39eb..5b094b1b 100644
--- a/source/ipmitool-plugin/usr/local/emhttp/plugins/ipmitool-plugin/IPMIFans.page
+++ b/source/ipmitool-plugin/usr/local/emhttp/plugins/ipmitool-plugin/IPMIFans.page
@@ -5,248 +5,248 @@ Title="Fan Control"
-IPMI Fan Control:
+IPMI Fan Control:
:
+
-
+
-=$fans[0];?> temperature sensor:
-: